version: "3"

{% set nextcloud_tag = "fpm-alpine" %}
{% if nextcloud.version is defined %}
  {% set nextcloud_tag = nextcloud.version ~ "-" ~ nextcloud_tag %}
{% endif %}

services:
  nextcloud:
    image: nextcloud:{{ nextcloud_tag }}
    restart: always
    environment:
      - POSTGRES_HOST=postgres
      - REDIS_HOST=redis
    env_file:
      - nextcloud.env
      - postgres.env
    ports:
      - 127.0.0.1:{{ nextcloud.internal_port }}:9000
    volumes:
      - ./nextcloud:/var/www/html
{% for mount in nextcloud.mounts | default([]) %}
      - {{ mount }}:/host/{{ mount | regex_replace("^/", "") }}
{% endfor %}

  cron:
    image: nextcloud:{{ nextcloud_tag }}
    entrypoint: /cron.sh
    restart: always
    volumes:
      - ./nextcloud:/var/www/html
{% for mount in nextcloud.mounts | default([]) %}
      - {{ mount }}:/host/{{ mount | regex_replace("^/", "") }}
{% endfor %}

  postgres:
    image: postgres:13-alpine
    restart: always
    env_file:
      - postgres.env
    volumes:
      - ./postgres:/var/lib/postgresql/data

  redis:
    image: redis:6-alpine
    restart: always
    volumes:
      - ./redis:/data
